curl "https://starknet.api.avnu.fi/staking/v3/pools/0x123abc/members/0x0456def..."
async function getMemberPosition(poolAddress: string, userAddress: string) {
const response = await fetch(
`https://starknet.api.avnu.fi/staking/v3/pools/${poolAddress}/members/${userAddress}`
);
return await response.json();
}
import requests
def get_member_position(pool_address: str, user_address: str):
response = requests.get(
f'https://starknet.api.avnu.fi/staking/v3/pools/{pool_address}/members/{user_address}'
)
return response.json()
{
"tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"tokenPriceInUsd": 0.25,
"poolAddress": "0x0abc123def456789...",
"userAddress": "0x0123456789abcdef...",
"amount": "0x4563918244f40000",
"amountInUsd": 1250.00,
"unclaimedRewards": "0x1bc16d674ec80000",
"unclaimedRewardsInUsd": 50.00,
"unpoolAmount": "0x0",
"unpoolAmountInUsd": 0,
"unpoolTime": null,
"totalClaimedRewards": "0x6f05b59d3b20000",
"totalClaimedRewardsHistoricalUsd": 180.50,
"totalClaimedRewardsUsd": 200.00,
"userActions": [
{
"blockNumber": 123456,
"date": "2024-10-15T10:30:00Z",
"userAddress": "0x0123456789abcdef...",
"transactionHash": "0xabc123...",
"type": "StakingStake",
"metadata": {
"delegationPoolAddress": "0x0abc123def456789...",
"oldDelegatedStake": "0x0",
"newDelegatedStake": "0x4563918244f40000"
}
},
{
"blockNumber": 125000,
"date": "2024-11-01T14:00:00Z",
"userAddress": "0x0123456789abcdef...",
"transactionHash": "0xdef456...",
"type": "StakingClaimRewards",
"metadata": {
"delegationPoolAddress": "0x0abc123def456789...",
"rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"amount": "0x6f05b59d3b20000"
}
}
],
"totalUserActionsCount": 2,
"expectedYearlyStrkRewards": "0x8ac7230489e80000",
"aprs": [
{
"date": "2024-11-01T00:00:00Z",
"apr": 0.085
},
{
"date": "2024-10-31T00:00:00Z",
"apr": 0.082
}
]
}
Earn
Get Member
Get user’s staking position and rewards
GET
/
staking
/
v3
/
pools
/
{poolAddress}
/
members
/
{userAddress}
curl "https://starknet.api.avnu.fi/staking/v3/pools/0x123abc/members/0x0456def..."
async function getMemberPosition(poolAddress: string, userAddress: string) {
const response = await fetch(
`https://starknet.api.avnu.fi/staking/v3/pools/${poolAddress}/members/${userAddress}`
);
return await response.json();
}
import requests
def get_member_position(pool_address: str, user_address: str):
response = requests.get(
f'https://starknet.api.avnu.fi/staking/v3/pools/{pool_address}/members/{user_address}'
)
return response.json()
{
"tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"tokenPriceInUsd": 0.25,
"poolAddress": "0x0abc123def456789...",
"userAddress": "0x0123456789abcdef...",
"amount": "0x4563918244f40000",
"amountInUsd": 1250.00,
"unclaimedRewards": "0x1bc16d674ec80000",
"unclaimedRewardsInUsd": 50.00,
"unpoolAmount": "0x0",
"unpoolAmountInUsd": 0,
"unpoolTime": null,
"totalClaimedRewards": "0x6f05b59d3b20000",
"totalClaimedRewardsHistoricalUsd": 180.50,
"totalClaimedRewardsUsd": 200.00,
"userActions": [
{
"blockNumber": 123456,
"date": "2024-10-15T10:30:00Z",
"userAddress": "0x0123456789abcdef...",
"transactionHash": "0xabc123...",
"type": "StakingStake",
"metadata": {
"delegationPoolAddress": "0x0abc123def456789...",
"oldDelegatedStake": "0x0",
"newDelegatedStake": "0x4563918244f40000"
}
},
{
"blockNumber": 125000,
"date": "2024-11-01T14:00:00Z",
"userAddress": "0x0123456789abcdef...",
"transactionHash": "0xdef456...",
"type": "StakingClaimRewards",
"metadata": {
"delegationPoolAddress": "0x0abc123def456789...",
"rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"amount": "0x6f05b59d3b20000"
}
}
],
"totalUserActionsCount": 2,
"expectedYearlyStrkRewards": "0x8ac7230489e80000",
"aprs": [
{
"date": "2024-11-01T00:00:00Z",
"apr": 0.085
},
{
"date": "2024-10-31T00:00:00Z",
"apr": 0.082
}
]
}
Overview
Returns detailed information about a user’s staking position in a specific pool.Path Parameters
string
required
Pool contract address
string
required
User’s wallet address
Response
string
required
The staking token address
number
required
The token price in USD
string
required
The pool contract address
string
required
The user’s wallet address
string
required
The staked amount (hex format)
number
The staked amount in USD
string
required
Unclaimed rewards amount (hex format)
number
Unclaimed rewards in USD
string
required
Amount pending withdrawal (hex format)
number
Pending withdrawal amount in USD
string
Timestamp when withdrawal will be available (ISO 8601 format)
string
required
Total rewards claimed historically (hex format)
number
Total claimed rewards in USD at historical prices
number
required
Total claimed rewards in current USD value
array
required
Array of user staking actions
Show ActionDto
Show ActionDto
integer
required
Block number of the action
string
required
Date of the action (ISO 8601 format)
string
required
User address
string
required
Transaction hash
string
required
Action type:
StakingStake, StakingInitiateWithdrawal, StakingCancelWithdrawal, StakingWithdraw, or StakingClaimRewardsobject
required
Action-specific metadata
integer
required
Total count of user actions
string
required
Expected yearly STRK rewards (hex format)
array
required
curl "https://starknet.api.avnu.fi/staking/v3/pools/0x123abc/members/0x0456def..."
async function getMemberPosition(poolAddress: string, userAddress: string) {
const response = await fetch(
`https://starknet.api.avnu.fi/staking/v3/pools/${poolAddress}/members/${userAddress}`
);
return await response.json();
}
import requests
def get_member_position(pool_address: str, user_address: str):
response = requests.get(
f'https://starknet.api.avnu.fi/staking/v3/pools/{pool_address}/members/{user_address}'
)
return response.json()
{
"tokenAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"tokenPriceInUsd": 0.25,
"poolAddress": "0x0abc123def456789...",
"userAddress": "0x0123456789abcdef...",
"amount": "0x4563918244f40000",
"amountInUsd": 1250.00,
"unclaimedRewards": "0x1bc16d674ec80000",
"unclaimedRewardsInUsd": 50.00,
"unpoolAmount": "0x0",
"unpoolAmountInUsd": 0,
"unpoolTime": null,
"totalClaimedRewards": "0x6f05b59d3b20000",
"totalClaimedRewardsHistoricalUsd": 180.50,
"totalClaimedRewardsUsd": 200.00,
"userActions": [
{
"blockNumber": 123456,
"date": "2024-10-15T10:30:00Z",
"userAddress": "0x0123456789abcdef...",
"transactionHash": "0xabc123...",
"type": "StakingStake",
"metadata": {
"delegationPoolAddress": "0x0abc123def456789...",
"oldDelegatedStake": "0x0",
"newDelegatedStake": "0x4563918244f40000"
}
},
{
"blockNumber": 125000,
"date": "2024-11-01T14:00:00Z",
"userAddress": "0x0123456789abcdef...",
"transactionHash": "0xdef456...",
"type": "StakingClaimRewards",
"metadata": {
"delegationPoolAddress": "0x0abc123def456789...",
"rewardAddress": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"amount": "0x6f05b59d3b20000"
}
}
],
"totalUserActionsCount": 2,
"expectedYearlyStrkRewards": "0x8ac7230489e80000",
"aprs": [
{
"date": "2024-11-01T00:00:00Z",
"apr": 0.085
},
{
"date": "2024-10-31T00:00:00Z",
"apr": 0.082
}
]
}
Was this page helpful?
⌘I